#
# VPATH sets where to look for include files (besides the current
# directory)
#
VPATH=./inc:./obj:./src
#
# list of objects and include files
#
OBJECTS = hec_ana.o hec_ana_card.o hec_ana_evt.o hec_ana_ini.o \
          hec_ana_runh.o hec_ana_run_ini.o hec_ana_run_ter.o 
#
INC     = hec_ana.inc hec_ana_card.inc hec_ana_evt.inc \
          hec_ana_paw.inc hec_ana_runh.inc 
#
# user should not need to change anything below this point.
# CHANGE BELOW THIS POINT AT YOUR OWN RISK
#
#
# now figure out compiler and options for this platform
#
PLATFORM=$(shell uname)
#
# HP Unix
#
ifeq "$(PLATFORM)" "HP-UX"
  LIB = -L/cern/pro/lib -lpawlib -lgraflib -lgrafX11 \
        -lpacklib -lkernlib -lmathlib -lm -lX11
  COMP         = fort77 -c +ppu -O2 -I./inc
  LINK         = fort77 +ppu -O2
endif
#
# IBM (AIX) operating system 4.1 
#
ifeq "$(PLATFORM)" "AIX"                  
  LIB       = `cernlib geant321 pawlib graflib grafX11 packlib genlib kernlib`
  COMP         = xlf -O2 -u -qextname -qcharlen=32767 -qrndsngl -c \
                     -qobj -qnolist -qrecur -I./inc
  LINK         = xlf -O2
endif
#
# DEC ALPHA OSF 3.2 (use OS_EXTENTION only in version 3.2)
#
ifeq "$(PLATFORM)" "OSF1"
  LIB        = `cernlib geant321 pawlib graflib grafX11 packlib genlib kernlib'
  COMP         = f77 -c -C -O2 -I./inc
  LINK         = f77 -C -O2
endif
#
# PC Linux
#
ifeq "$(PLATFORM)" "Linux"
  LIB   = `cernlib pawlib graflib grafX11 packlib genlib kernlib`
  COMP  = g77 -c -I./inc
  LINK  = g77
  LIB_NAME = linux_lib/*.o
endif
#
# compile 
#
ntuple_ana : $(OBJECTS)
	$(LINK) obj/*.o -o hec_ana $(LIB)
#
# define how to make an object from a .f file
#
.f.o :
	$(COMP) $<
	mv -f $*.o ./obj
#
# objects depend on the include files
#
$(OBJECTS) : $(INC)






